package xyz.ibatv.nethercraft.item;

import net.fabricmc.fabric.api.itemgroup.v1.FabricItemGroup;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.ItemStack;
import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import net.minecraft.text.Text;
import net.minecraft.util.Identifier;
import xyz.ibatv.nethercraft.block.ModBlocks;
import xyz.ibatv.nethercraft.item.ModItems;
import xyz.ibatv.nethercraft.NethercraftClassic;

public class ModItemGroups {
    public static final ItemGroup MYSTICAL_AGRICULTURE_FABRIC = Registry.register(Registries.ITEM_GROUP,
            Identifier.of(NethercraftClassic.MOD_ID, "mystical_agriculture_fabric"),
            FabricItemGroup.builder().icon(() -> new ItemStack(ModBlocks.GLOWOOD_PLANKS))
                    .displayName(Text.translatable("itemgroup.MysticalAgricultureFabric.mystical_agriculture_fabric"))
                    .entries((displayContext, entries) -> {
                        //Blocks
                        entries.add(ModBlocks.GLOWOOD_PLANKS);
                        //Items
                        entries.add(ModItems.NETHERSTICK);
                    }).build());



    public static void registeritemGroups(){
        NethercraftClassic.LOGGER.info("Registering Item Groups for " + NethercraftClassic.MOD_ID);
    }
}
