package xyz.ibatv.nethercraft.item;

import net.fabricmc.fabric.api.itemgroup.v1.ItemGroupEvents;
import net.minecraft.item.AliasedBlockItem;
import net.minecraft.item.Item;
import net.minecraft.item.ItemGroups;
import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import net.minecraft.util.Identifier;
import xyz.ibatv.nethercraft.NethercraftClassic;
import xyz.ibatv.nethercraft.block.ModBlocks;

public class ModItems {
    public static final Item NETHERSTICK = registerItem("netherstick", new Item(new Item.Settings()));


    public static final Item PLACEHOLDER = registerItem("placeholder", new Item(new Item.Settings()));
    //Placeholder for recipes when ConventionalItemTags.* doesn't actually have an item because fuck you.


    //public static final Item COAL_CROP_SEEDS = registerItem("coal_crop_seeds",
    //        new AliasedBlockItem(ModBlocks.COAL_CROP, new Item.Settings()));




    private static Item registerItem(String name, Item item) {
        return Registry.register(Registries.ITEM, Identifier.of(NethercraftClassic.MOD_ID, name), item);
    }

    public static void registerModItems() {
        NethercraftClassic.LOGGER.info("Registering Mod Items for " + NethercraftClassic.MOD_ID);
    }
}